"use strict";
/* eslint-disable no-param-reassign */
Object.defineProperty(exports, "__esModule", { value: true });
var handle_action_1 = require("./handle-action");
var create_action_1 = require("./create-action");
test('handles specific action', function () {
    var ac1 = create_action_1.default('foo1');
    var ac2 = create_action_1.default('bar1');
    var state = { counter: 0 };
    var re = handle_action_1.default(ac1, function (draft) {
        draft.counter += 1;
    }, state);
    expect(re(state, ac1())).toEqual({ counter: 1 });
    expect(re(state, ac2())).toEqual({ counter: 0 });
});
test('handles specific action with payload', function () {
    var ac1 = create_action_1.default('foo2');
    var ac2 = create_action_1.default('bar2');
    var state = { counter: 0 };
    var re = handle_action_1.default(ac1, function (draft, _a) {
        var payload = _a.payload;
        draft.counter += payload.num;
    }, state);
    expect(re(state, ac1({ num: 10 }))).toEqual({ counter: 10 });
    expect(re(state, ac2({ num: 10 }))).toEqual({ counter: 0 });
});
//# sourceMappingURL=handle-action.test.js.map